<template>
  <div>
    <div class="gva-form-box">
      <el-form :model="formData" label-position="right" label-width="80px">
        <el-form-item label="分类:">
          <el-select v-model="formData.categoryId" placeholder="请选择" clearable>
            <el-option v-for="(item,key) in category_idOptions" :key="key" :label="item.label" :value="item.value" />
          </el-select>
        </el-form-item>
        <el-form-item label="简介:">
          <el-input v-model="formData.desc" clearable placeholder="请输入" />
        </el-form-item>
        <el-form-item label="详情:">
          <el-input v-model="formData.detail" clearable placeholder="请输入" />
        </el-form-item>
        <el-form-item label="名称:">
          <el-input v-model="formData.name" clearable placeholder="请输入" />
        </el-form-item>
        <el-form-item label="图片:">
          <el-input v-model="formData.thumb" clearable placeholder="请输入" />
        </el-form-item>
        <el-form-item>
          <el-button size="mini" type="primary" @click="save">保存</el-button>
          <el-button size="mini" type="primary" @click="back">返回</el-button>
        </el-form-item>
      </el-form>
    </div>
  </div>
</template>

<script>
export default {
  name: 'AppHerbsN'
}
</script>

<script setup>
import {
  createAppHerbsN,
  updateAppHerbsN,
  findAppHerbsN
} from '@/api/appHerbsF'

// 自动获取字典
import { getDictFunc } from '@/utils/format'
import { useRoute, useRouter } from "vue-router"
import { ElMessage } from 'element-plus'
import { ref } from 'vue'
const route = useRoute()
const router = useRouter()
const type = ref('')
const category_idOptions = ref([])
const formData = ref({
        categoryId: undefined,
        desc: '',
        detail: '',
        name: '',
        thumb: '',
        })

// 初始化方法
const init = async () => {
 // 建议通过url传参获取目标数据ID 调用 find方法进行查询数据操作 从而决定本页面是create还是update 以下为id作为url参数示例
    if (route.query.id) {
      const res = await findAppHerbsN({ ID: route.query.id })
      if (res.code === 0) {
        formData.value = res.data.reappHerbsS
        type.value = 'update'
      }
    } else {
      type.value = 'create'
    }
    category_idOptions.value = await getDictFunc('category_id')
}

init()
// 保存按钮
const save = async() => {
      let res
      switch (type.value) {
        case 'create':
          res = await createAppHerbsN(formData.value)
          break
        case 'update':
          res = await updateAppHerbsN(formData.value)
          break
        default:
          res = await createAppHerbsN(formData.value)
          break
      }
      if (res.code === 0) {
        ElMessage({
          type: 'success',
          message: '创建/更改成功'
        })
      }
}

// 返回按钮
const back = () => {
    router.go(-1)
}

</script>

<style>
</style>
